org.apache.ignite.internal.binary

## Class BinaryTreeSet

- java.lang.Object
- - org.apache.ignite.internal.binary.BinaryTreeSet

All Implemented Interfaces:
  Binarylizable

    public class BinaryTreeSet
    extends Object
    implements Binarylizable

Binary `TreeSet` wrapper.

### Constructor Summary

Constructors
Constructor and Description
`BinaryTreeSet()` Default constructor.
`BinaryTreeSet(TreeSet set)` Constructor.

### Method Summary

Methods
`void` `readBinary(BinaryReader reader)` Reads fields from provided reader.
`protected Object` `readResolve()` Reconstructs object on unmarshalling.
`void` `writeBinary(BinaryWriter writer)` Writes fields to provided writer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BinaryTreeSet

    public BinaryTreeSet()

Default constructor.

#### BinaryTreeSet

    public BinaryTreeSet(TreeSet set)

Constructor.

Parameters:
  `set` - Original set.

### Method Detail

#### writeBinary

    public void writeBinary(BinaryWriter writer)
                     throws BinaryObjectException

Writes fields to provided writer.

Specified by:
  `writeBinary` in interface `Binarylizable`
Parameters:
  `writer` - Binary object writer.
Throws:
  `BinaryObjectException` - In case of error.

#### readBinary

    public void readBinary(BinaryReader reader)
                    throws BinaryObjectException

Reads fields from provided reader.

Specified by:
  `readBinary` in interface `Binarylizable`
Parameters:
  `reader` - Binary object reader.
Throws:
  `BinaryObjectException` - In case of error.

#### readResolve

    protected Object readResolve()
                          throws ObjectStreamException

Reconstructs object on unmarshalling.

Returns:
  Reconstructed object.
Throws:
  `ObjectStreamException` - Thrown in case of unmarshalling error.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.8.0
Release Date | : December 5 2016